package common.network;

import common.future.ListenableFuture;

public interface IThreadListener
{
    ListenableFuture<Object> schedule(Runnable run);
    boolean isMainThread();
    default void log(String prefixed, String line) {
    }
}
